Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.aop.util
Class ObjectUtil

    java.lang.Object
      org.jboss.cache.aop.util.ObjectUtil

    public class ObjectUtil

extends java.lang.Object

Unitlity methods for pojo object.

Author:
  Ben Wang

Constructor Summary
`ObjectUtil()`

Method Summary
`static java.lang.String` | `getIndirectFqn(Fqn fqn)`
`static java.lang.String` | `getIndirectFqn(java.lang.String fqn)`
`static boolean` | `isReachable(PojoCache cache, java.lang.Object originalObject, java.lang.Object thisObject)` Static methos to check if `thisObject` is reachable from `originalObject`.
`static boolean` | `isReachableInner(PojoCache cache, java.lang.Object originalObject, java.lang.Object thisObject, java.util.Set objSet)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectUtil

    public ObjectUtil()

Method Detail

### isReachable

    public static boolean isReachable(PojoCache cache,
                                      java.lang.Object originalObject,
                                      java.lang.Object thisObject)
                               throws CacheException

  Static methos to check if `thisObject` is reachable from `originalObject`.

  Parameters:
    `cache` -
    `originalObject` -
    `thisObject` -
  Returns:
  Throws:
    `CacheException`

### isReachableInner

    public static boolean isReachableInner(PojoCache cache,
                                           java.lang.Object originalObject,
                                           java.lang.Object thisObject,
                                           java.util.Set objSet)
                                    throws CacheException

  Throws:
    `CacheException`

### getIndirectFqn

    public static java.lang.String getIndirectFqn(Fqn fqn)

### getIndirectFqn

    public static java.lang.String getIndirectFqn(java.lang.String fqn)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.